<template>
    <v-col xs="12" sm="12" md="12">
        <v-card elevation="3">
            <v-row dense>
                <v-col xs="12" sm="12" md="12">
                    <v-card-title primary-title>
                        <div>
                            <div class="headline">{{ data.name }}</div>
                            <div>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">person</v-icon>
                                        <span class="body-2">
                                            {{ data.guardian_name }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.guardian_name') }}</span>
                                </v-tooltip>
                            </div>
                            <div>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">cake</v-icon>
                                        <span class="body-2">
                                            {{ data.birth_date | formatDate }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.date_of_birth') }}</span>
                                </v-tooltip>
                            </div>
                            <div>
                                <v-tooltip top>
                                    <template v-slot:activator="{ on }">
                                        <v-icon v-on="on">
                                            radio_button_checked
                                        </v-icon>
                                        <span class="body-2">
                                            {{ trans('messages.' + data.gender) }}
                                        </span>
                                    </template>

                                    <span>{{ trans('messages.gender') }}</span>
                                </v-tooltip>
                            </div>
                        </div>
                        <v-spacer></v-spacer>
                        <v-img
                            v-if="data.avatar_url"
                            :src="data.avatar_url"
                            height="125px"
                            contain
                        ></v-img>
                    </v-card-title>
                </v-col>
            </v-row>
            <v-divider></v-divider>
            <v-card-text>
                <v-row dense>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">mobile_friendly</v-icon>
                                {{ data.mobile }}
                            </template>

                            <span>{{ trans('messages.mobile') }}</span>
                        </v-tooltip>
                    </v-col>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">mobile_friendly</v-icon>
                                {{ data.alternate_num }}
                            </template>

                            <span>{{ trans('messages.alternate_num') }}</span>
                        </v-tooltip>
                    </v-col>
                </v-row>
                <v-row dense>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">email</v-icon>
                                {{ data.email }}
                            </template>

                            <span>{{ trans('messages.email') }}</span>
                        </v-tooltip>
                    </v-col>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">web</v-icon>
                                {{ data.skype }}
                            </template>

                            <span>{{ trans('messages.skype') }}</span>
                        </v-tooltip>
                    </v-col>
                </v-row>
                <v-row dense>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">public</v-icon>
                                {{ data.twitter }}
                            </template>

                            <span>{{ trans('messages.twitter') }}</span>
                        </v-tooltip>
                    </v-col>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">public</v-icon>
                                {{ data.linkedin }}
                            </template>

                            <span>{{ trans('messages.linkedin') }}</span>
                        </v-tooltip>
                    </v-col>
                </v-row>
                <v-row dense>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">public</v-icon>
                                {{ data.facebook }}
                            </template>

                            <span>{{ trans('messages.facebook') }}</span>
                        </v-tooltip>
                    </v-col>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">location_on</v-icon>
                                <span v-html="data.current_address"></span>
                            </template>

                            <span>{{ trans('messages.current_address') }}</span>
                        </v-tooltip>
                    </v-col>
                    <v-col xs="12" sm="6" md="6">
                        <v-tooltip top>
                            <template v-slot:activator="{ on }">
                                <v-icon v-on="on">location_on</v-icon>
                                <span v-html="data.home_address"></span>
                            </template>

                            <span>{{ trans('messages.home_address') }}</span>
                        </v-tooltip>
                    </v-col>
                </v-row>
            </v-card-text>
            <v-card-actions>
                <v-btn
                    block
                    outlined
                    color="accent"
                    dark
                    @click="$router.push({ name: 'profile.edit', params: { id: data.id } })"
                >
                    <v-icon>edit</v-icon>
                    {{ trans('messages.edit') }}
                </v-btn>
            </v-card-actions>
        </v-card>
    </v-col>
</template>
<script>
export default {
    data() {
        return {
            data: [],
        };
    },
    created() {
        const self = this;
        self.getUserProfile();
    },
    methods: {
        getUserProfile() {
            const self = this;
            axios
                .get('/manage-profiles')
                .then(function(response) {
                    self.data = response.data;
                })
                .catch(function(error) {
                    console.log(error);
                });
        },
    },
};
</script>
